ComputerSystemPropagatorConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.casm.monitor.propagator.ComputerSystemPropagatorConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.casm.monitor.propagator
Interface ComputerSystemPropagatorConfiguration

All Superinterfaces:
  Configuration, ModelObject, MonitorConfiguration, PropagatorConfiguration, java.io.Serializable

    public interface ComputerSystemPropagatorConfiguration

extends PropagatorConfiguration

Configuration of a ComputerSystem propagator

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`boolean` | `getAppServerPropagation()`
`int` | `getDependentAppServerPropagationDelta()`
`int` | `getDirectAppServerPropagationDelta()`
`int` | `getMergeThresholdPercentage()`
`boolean` | `hasAppServerPropagation()`
`boolean` | `hasDependentAppServerPropagationDelta()`
`boolean` | `hasDirectAppServerPropagationDelta()`
`boolean` | `hasMergeThresholdPercentage()`
`void` | `setAppServerPropagation(boolean enabled)`
`void` | `setDependentAppServerPropagationDelta(int delta)`
`void` | `setDirectAppServerPropagationDelta(int delta)`
`void` | `setMergeThresholdPercentage(int percentage)`

Methods inherited from interface com.collation.platform.model.casm.monitor.propagator.PropagatorConfiguration
`getCategory, getContainerPropagation, getDependentPropagation, getLevel, getPropagatorClassName, hasCategory, hasContainerPropagation, hasDependentPropagation, hasLevel, hasPropagatorClassName, setCategory, setContainerPropagation, setDependentPropagation, setLevel, setPropagatorClassName`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getDirectAppServerPropagationDelta

    int getDirectAppServerPropagationDelta()
                                           throws AttributeNotSetException

  Returns:
    The delta to apply to the severity when propagating from a ComputerSystem to an AppServer/Service running on the ComputerSystem. This means that if the ComputerSystem has severity X then the AppServer/Service will have severity X - delta. The default value is 0.
  Throws:
    `AttributeNotSetException`

### setDirectAppServerPropagationDelta

    void setDirectAppServerPropagationDelta(int delta)

### hasDirectAppServerPropagationDelta

    boolean hasDirectAppServerPropagationDelta()

### getDependentAppServerPropagationDelta

    int getDependentAppServerPropagationDelta()
                                              throws AttributeNotSetException

  Returns:
    The delta to apply to the severity when propagating from a ComputerSystem to a dependent AppServer running on another ComputerSystem. This means that if the ComputerSystem has severity X then the dependent AppServer will have severity X - delta. The default value for the delta is -1.
  Throws:
    `AttributeNotSetException`

### setDependentAppServerPropagationDelta

    void setDependentAppServerPropagationDelta(int delta)

### hasDependentAppServerPropagationDelta

    boolean hasDependentAppServerPropagationDelta()

### getMergeThresholdPercentage

    int getMergeThresholdPercentage()
                                    throws AttributeNotSetException

  Returns:
    The percentage of attributes of the ComputerSystem that need to be of severity X before the ComputerSystem shows severity X. If the number of attributes with severity X is below that threshold and > 0 the ComputerSystem shows severity X -1.
  Throws:
    `AttributeNotSetException`

### setMergeThresholdPercentage

    void setMergeThresholdPercentage(int percentage)

### hasMergeThresholdPercentage

    boolean hasMergeThresholdPercentage()

### getAppServerPropagation

    boolean getAppServerPropagation()
                                    throws AttributeNotSetException

  Returns:
    Whether to propagate from the container ComputerSystem to the contained AppServer The default is true
  Throws:
    `AttributeNotSetException`

### setAppServerPropagation

    void setAppServerPropagation(boolean enabled)

### hasAppServerPropagation

    boolean hasAppServerPropagation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD